{{#if this.isList}}
  <ol {{did-insert this.listSetup}}>
    {{#each this.listValue as |item index|}}
      <li>
        <div class="input-group mb-3">
          {{#if this.isBoolean}}
            <Editor::OptionalBoolean @value={{item}} @onChange={{fn this.updateArrayValue index}} />
          {{else if this.isOptions}}
            <Editor::Options @value={{item}} @options={{this.options}} @onChange={{fn this.updateArrayValue index}} />
          {{else if this.isOptionsWithOther}}
            <Editor::OptionsWithOther @value={{item}} @options={{this.options}} @onChange={{fn this.updateArrayValue index}} />
          {{else if this.isLongText}}
            <Editor::Blocks @isSimple={{true}} @value={{item}} @options={{this.options}} @onChange={{fn this.updateArrayValue index}} />
          {{else if this.isDate}}
            <Editor::Date @value={{item}} @options={{this.options}} @onChange={{fn this.updateArrayValue index}} class="form-control" />
          {{else}}
            {{! template-lint-disable require-input-label }}
            <Input class="form-control input-text-field" @type="text" @value={{item}} {{on "input" (fn this.updateArrayValue index)}} />
          {{/if}}

          <button class="btn btn-danger btn-delete" type="button" {{on "click" (fn this.removeValue index)}}>
            <FaIcon @icon="trash" />
          </button>
        </div>
      </li>
    {{/each}}
  </ol>

  <button class="btn btn-secondary btn-add" type="button" {{on "click" this.addValue}}>
    <FaIcon @icon="plus" />
    {{t "value"}}
  </button>
{{else}}
  {{#if this.isBoolean}}
    <Editor::OptionalBoolean @value={{this.value}} @onChange={{@onChange}} />
  {{else if this.isOptions}}
    <Editor::Options @value={{this.value}} @options={{this.options}} @onChange={{@onChange}} />
  {{else if this.isOptionsWithOther}}
    <Editor::OptionsWithOther @value={{this.value}} @options={{this.options}} @onChange={{@onChange}} />
  {{else if this.isLongText}}
    <Editor::Blocks @isSimple={{true}} @value={{this.value}} @options={{this.options}} @onChange={{@onChange}} />
  {{else if this.isDate}}
    <Editor::Date @value={{this.value}} @options={{this.options}} @onChange={{@onChange}} class="form-control" />
  {{else}}
    {{! template-lint-disable require-input-label }}
    <Input class="form-control input-text-field" @type="text" @value={{this.value}} />
  {{/if}}
{{/if}}